QGIS Application - Bug report #12906
Spatial Query: silently do not select geometries with errors
2015-06-08 01:16 AM - Nag R

Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Spatial Query

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 20996
Description

New description:

the spatial query tool silently do not select geometries with errors (or at least geometries with some kind of errors), this leads to wrong
results and the user is not aware of them.

Old description:

| tired to select the intersecting polygon for the selected line object using intersects function in Spatial Query in QGIS 2.8.2 and also with
2.6.0

I noticed, it is unable to find the intersecting polygon object, if the referenced line object is completely with in the source polygon object.

Attached png is for reference and | believe this issue impacts the Join Attributes by Location functionality in Data Management Tools.

If this is not a relevant forum to report the issue, i kindly request to forward to the concern people/team as I'm new to QGIS and | usually
use ArcGIS.

Thanks,

History

#1 - 2015-06-08 04:17 AM - Jukka Rahkonen
| made a test with one polygon and one line which | digitized with QGIS 2.6.0 but | couldn't reproduce the issue. Could you copy just the one polygon that

should get selected and the linestring and attach them to the ticket as WKT or shapefiles?

#2 - 2015-06-08 04:19 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to C++ Plugins

#3 - 2015-06-08 04:21 AM - Giovanni Manghi

| also cannot confirm. Attaching sample data would be very appreciated.
#4 - 2015-06-08 05:30 AM - Nag R

- File New.png added
- File sample.rar added
Sample data is attached.

| reproduced the issue using this data set.

Thanks

#5 - 2015-06-08 06:29 AM - Giovanni Manghi

Nag R wrote:

Sample data is attached.

| reproduced the issue using this data set.

Thanks

the polygon has some kind of geometry issue. If you clean it (I usually use v.clean in the Processing toolbox) then the the spatial query tool works. | would

not call this a bug, eventually | would open a feature request asking qgis to be more forgiving with such geometries.

#6 - 2015-06-08 07:58 AM - Jukka Rahkonen

Oh what a beautiful polygon! It has one self-intersection at

POINT (-125.25977653693093 48.92186621734039). | tried to correct the error by digitizing but it was not easy and | quit.

#7 - 2015-06-08 09:00 PM - Nag R

- File Result_in_ArcGlIS.png added

Yes, in my research most of the times i deal with this type of complex data sets and some times i see difficulty using QGIS.

Select by Location in ArcGIS working correctly for this data set.Attached snapshot is for reference.

It looks something really to be tuned in QGIS to handle this sort of issues.

Thanks,

#8 - 2015-06-08 11:46 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.8.2 to master

- Subject changed from Spatial Query - Intersects Function to Spatial Query: silently do not select geometries with errors

It looks something really to be tuned in QGIS to handle this sort of issues.

| edited the title to better describe the issue.
#9 - 2015-06-09 01:27 AM - Jakob Hvitnov

Using the QGIS geoalgorithm "Select by location" from the processing toolbox works as expected. As | understand it these algorithms are set to replace the
ftools versions that are now accessible in the menus, so | am unsure whether this issue will be solved once ftools are no longer used.

Can anyone confirm this?

#10 - 2015-06-09 04:19 AM - Nag R
- File Select By _Location.png added

I tried with geoalgorithm "Select Bylocation" from processing toolbox and it doesn't work for this data set. Attached image is for reference.
Actually, i noticed the reported issue while I'm using "Join Attributes by Location" in data management tools. For some Lines it was not updated the
attribute. | verified those lines using the intersects function in Spatial Query. It didn't work. | thought "Join Attributes by Location" function internally

calling/using the intersects function in Spatial Query.

Thanks

#11 - 2015-06-09 04:31 AM - Jakob Hvitnov

ok. | cannot confirm the issue using the attached dataset on 2.8.2 (ubuntu 14.04) and applying the algorithm from the processing toolbox. However | do see
the issue when using ftools.

#12 - 2016-05-22 01:39 PM - Jiirgen Fischer
- Category changed from C++ Plugins to C++ plugins/Spatial Query

#13 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#14 - 2018-01-23 10:44 AM - Alexander Bruy

- Status changed from Open to Closed
- Description updated

Spatial Query removed from master and Processing works fine. Please reopen if necessary.

#15 - 2018-02-22 11:39 AM - Giovanni Manghi
- Resolution set to wontfix

Files

Spatial_Query_Intersects.PNG 216 KB 2015-06-07 Nag R
New.png 161 KB 2015-06-08 Nag R
sample.rar 40.9 KB 2015-06-08 Nag R
Result_in_ArcGIS.png 248 KB 2015-06-08 Nag R
Select_By_Location.png 278 KB 2015-06-09 Nag R
